Subject: Re: [PATCH] display shortlog after git-commit

From: Andy Parkins <[email-masked]>
Date: Sun, 15 Apr 2007 21:26:41 +0100

On Sunday 2007, April 15, Michael S. Tsirkin wrote:

> And I wander why does it tell me the new commit hash -
> wouldn't displaying the subject make more sense?
> Something like
>
> 	Created commit "Make foobar faster by caching more barbar in foo"
> 	1 files changed, 1 insertions(+), 0 deletions(-)

If you do a series of "git commit --amend"s, you would get an identical 
message each time.  Also, I've often found it convenient when doing 
resets, amends, patch splits and movements between branches to be able 
to cut and paste the commit hash still on the terminal into lines like

 git commit --amend -c $HASH

I wouldn't object to having the subject as well, but please don't lose 
the hash - it's very useful.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]